package com.supervision.mapper;

import com.supervision.model.DiagnosisPhysicalRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.ask.AskPhysicalHistoryResVO;
import com.supervision.vo.result.PhysicalRecordByResultDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_physical_record(体格检查记录)】的数据库操作Mapper
* @createDate 2023-10-20 17:19:21
* @Entity com.supervision.model.DiagnosisPhysicalRecord
*/
public interface DiagnosisPhysicalRecordMapper extends BaseMapper<DiagnosisPhysicalRecord> {

    List<PhysicalRecordByResultDAO> queryPhysicalResultByProcessId(@Param("processId") String processId);

    List<AskPhysicalHistoryResVO> queryAskPhysicalHistory(@Param("processId") String processId);

}




