package com.supervision.service;

import com.supervision.dto.DiseaseAncillaryDto;
import com.supervision.model.DiseaseAncillary;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.function.Supplier;

/**
* @author flevance
* @description 针对表【vp_disease_ancillary(疾病辅助检查)】的数据库操作Service
* @createDate 2023-10-20 17:19:21
*/
public interface DiseaseAncillaryService extends IService<DiseaseAncillary> {

    List<DiseaseAncillaryDto> queryDiseaseAncillaryDtoList(DiseaseAncillary diseaseAncillary);


    DiseaseAncillaryDto queryDiseaseAncillaryDtoOne(DiseaseAncillary diseaseAncillary, Supplier<DiseaseAncillaryDto> other);

}
