package com.supervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.Disease;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.manage.DiseaseVo;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author flevance
 * @description 针对表【vp_disease(疾病名称)】的数据库操作Service
 * @createDate 2023-10-20 17:19:21
 */
public interface DiseaseService extends IService<Disease> {


    List<Disease> listDiseaseWithType(String id);


    Disease saveDisease(Disease disease);


    boolean updateDisease(Disease disease);

    Page<Disease> queryPageList(Integer pageNum, Integer pageSize, DiseaseVo diseaseVo);
}
