package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.DiagnosisQaRecord;
import com.supervision.service.DiagnosisQaRecordService;
import com.supervision.mapper.DiagnosisQaRecordMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_qa_record(诊断问答记录表)】的数据库操作Service实现
* @createDate 2023-10-20 17:19:21
*/
@Service
public class DiagnosisQaRecordServiceImpl extends ServiceImpl<DiagnosisQaRecordMapper, DiagnosisQaRecord>
    implements DiagnosisQaRecordService{

    @Override
    public List<DiagnosisQaRecord> queryByProcessId(String processId) {

        return super.lambdaQuery().eq(DiagnosisQaRecord::getProcessId,processId).list();
    }
}




