package com.supervision.vo.ask;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel
public class AskPhysicalHistoryResVO {

    @ApiModelProperty("体格检查记录ID")
    private String id;

    @ApiModelProperty("体格检查工具名称")
    private String toolName;

    @ApiModelProperty("体格检查工具ID")
    private String toolId;

    @ApiModelProperty("体格检查位置ID")
    private String locationId;

    @ApiModelProperty("体格检查位置名称")
    private String locationName;

    @ApiModelProperty("体格检查结果")
    private String result;

    @ApiModelProperty("关联的初步诊断ID")
    private String primaryId;

    @ApiModelProperty("检查时间")
    private LocalDateTime createTime;
}
