package com.supervision.rasa.controller;

import com.supervision.vo.rasa.RasaTalkVo;
import com.supervision.rasa.service.RasaTalkService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "ras对话服务")
@RestController
@RequestMapping("rasa")
@RequiredArgsConstructor
public class RasaTalkController {

    private final RasaTalkService rasaTalkService;

    @ApiOperation("rasa对话")
    @PostMapping("talkRasa")
    public List<String> talkRasa(@RequestBody RasaTalkVo rasaTalkVo){

        return rasaTalkService.talkRasa(rasaTalkVo);
    }

}
