package com.supervision.pojo.rasa.train;

import lombok.Data;

import java.util.LinkedHashMap;
import java.util.List;

@Data
public class DomainYmlTemplate {

    private List<String> intents;

    private LinkedHashMap<String,List<String>> responses;

    private List<String> actions;

    private SessionConfig session_config = new SessionConfig();


    @Data
    public static class SessionConfig{

        private final int session_expiration_time = 60;

        private final Boolean carry_over_slots_to_new_session = true;
    }

}
