package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DiagnosisResultResVO {

    private String id;

    @ApiModelProperty("预期诊断结果")
    private ExpertDiagnosisResultResVO expertDiagnosisResult;

    @ApiModelProperty("初步诊断依据")
    private BasisPrimaryResultResVO basisPrimaryResultResVO;

    @ApiModelProperty("证实诊断依据")
    private BasisConfirmResultResVO basisConfirmResultResVO;

    @ApiModelProperty("鉴别诊断依据")
    private BasisIdentificationResultResVO basisIdentificationResult;

    @ApiModelProperty("全面检查-(暂无相关数据)")
    private FullCheckResVO fullCheck;

    @ApiModelProperty("处置方案")
    private DealPlanResVO dealPlan;

}
