package com.supervision.util;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.json.JSONUtil;
import com.supervision.config.ThreadCache;
import com.supervision.domain.UserInfo;
import com.supervision.exception.BusinessException;
import com.supervision.model.User;

public class UserUtil {

    public static User getUser(){
        String userStr = ThreadCache.USER.get();
        User bean = JSONUtil.toBean(userStr, User.class);
        if (ObjectUtil.isEmpty(bean)){
            throw new BusinessException("未获取到用户信息");
        }
        return bean;
    }
}
