package com.supervision.util;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import cn.hutool.jwt.JWTUtil;
import cn.hutool.jwt.signers.JWTSigner;
import cn.hutool.jwt.signers.JWTSignerUtil;

public class TokenUtil {

    public static String creatToken(String userInfo){
        final JWTSigner signer = JWTSignerUtil.hs256("123456".getBytes());
        JSONObject info = JSONUtil.parseObj(userInfo);
        // 过期时间一天
        info.putOnce("expireTime",System.currentTimeMillis() + 1000 * 60 * 60 * 24);
        return JWTUtil.createToken(info, signer);
    }
}
