package com.supervision.mapper;

import com.supervision.model.DiagnosisAncillaryRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.ask.AskAncillaryHistoryResVO;
import com.supervision.vo.result.AncillaryRecordByResultDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_ancillary_record(辅助检查记录表)】的数据库操作Mapper
* @createDate 2023-10-20 17:19:21
* @Entity com.supervision.model.DiagnosisAncillaryRecord
*/
public interface DiagnosisAncillaryRecordMapper extends BaseMapper<DiagnosisAncillaryRecord> {

    List<AncillaryRecordByResultDAO> queryAncillaryResultByProcessId(@Param("processId") String processId);

    List<AskAncillaryHistoryResVO> queryAncillaryRecord(@Param("processId") String processId);

}




