package com.supervision.mapper;

import com.supervision.dto.DiseaseAncillaryDto;
import com.supervision.model.DiseaseAncillary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_disease_ancillary(疾病辅助检查)】的数据库操作Mapper
* @createDate 2023-10-20 17:19:21
* @Entity com.supervision.model.DiseaseAncillary
*/
public interface DiseaseAncillaryMapper extends BaseMapper<DiseaseAncillary> {

    List<DiseaseAncillaryDto> queryDiseaseAncillaryDtoList(@Param("diseaseAncillary")DiseaseAncillary diseaseAncillary);

}




