package com.supervision.service;

import com.supervision.model.DiagnosisAncillaryRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.ask.AskAncillaryHistoryResVO;
import com.supervision.vo.result.AncillaryRecordByResultDAO;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_ancillary_record(辅助检查记录表)】的数据库操作Service
* @createDate 2023-10-20 17:19:21
*/
public interface DiagnosisAncillaryRecordService extends IService<DiagnosisAncillaryRecord> {


    /**
     * 最终结束问诊 - 辅助检查记录
     */
    List<AncillaryRecordByResultDAO> queryAncillaryResultByProcessId(String processId);

    List<AskAncillaryHistoryResVO> queryAncillaryRecord(String processId);

}
