package com.supervision.vo.ask;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel
public class AskAncillaryHistoryResVO {

    @ApiModelProperty("辅助检查记录ID")
    private String id;

    @ApiModelProperty("辅助检查项名称")
    private String itemName;

    @ApiModelProperty("辅助检查项ID")
    private String itemId;

    @ApiModelProperty("辅助检查项结果")
    private String result;

    @ApiModelProperty("关联的初步诊断ID")
    private String primaryId;

    @ApiModelProperty("检查时间")
    private LocalDateTime createTime;
}
