package com.supervision.vo.result;

import com.supervision.model.ConfigAncillaryItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class ConfigAncillaryItemVo extends ConfigAncillaryItem {

    @ApiModelProperty("执行状态; 0: 未检查 1: 已检查")
    private Integer execStatus;

    public ConfigAncillaryItemVo() {
    }

    public ConfigAncillaryItemVo(Integer execStatus) {
        this.execStatus = execStatus;
    }



    public ConfigAncillaryItemVo(ConfigAncillaryItem configAncillaryItem){
        super.setId(configAncillaryItem.getId());
        super.setType(configAncillaryItem.getType());
        super.setCode(configAncillaryItem.getCode());
        super.setItemClass(configAncillaryItem.getItemClass());
        super.setItemName(configAncillaryItem.getItemName());
        super.setInfo(configAncillaryItem.getInfo());
        super.setCallOutQuestion(configAncillaryItem.getCallOutQuestion());
        super.setCreateTime(configAncillaryItem.getCreateTime());
        super.setCreateUserId(configAncillaryItem.getCreateUserId());
        super.setUpdateTime(configAncillaryItem.getUpdateTime());
        super.setUpdateUserId(configAncillaryItem.getUpdateUserId());
    }
}
