package com.supervision.rasa.service;

import com.supervision.rasa.pojo.vo.RasaCmdArgumentVo;

import java.io.IOException;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeoutException;
import java.util.function.Predicate;

public interface RasaCmdService {

    String trainExec(RasaCmdArgumentVo argument) throws IOException, ExecutionException, InterruptedException, TimeoutException;

    String runExec( RasaCmdArgumentVo argument) throws ExecutionException, InterruptedException, TimeoutException;


    List<String> execCmd(List<String> cmds, Predicate<String> endPredicate, long timeOut) throws InterruptedException, ExecutionException, TimeoutException;

    String getShellPath(String shell);

}
