package com.supervision.pojo.rasa.train;

import cn.hutool.core.map.MapUtil;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.*;

@Data
public class RuleYmlTemplate {

    private List<Rule> rules;


    @Data
    public static class Rule {
        private String rule;

        private List<Step> steps;

        public Rule() {
        }

        public Rule(String rule, String intent, String action) {
            this.rule = rule;
            steps = new ArrayList<>();
            Step step = new Step(intent, action);
            steps.add(step);
        }
    }

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Step {
        private String intent;

        private String action;


    }

}
