package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel
public class AskAncillaryResultReqVO {

    @ApiModelProperty("辅助检查工具ID")
    @NotBlank(message = "辅助检查工具ID不能为空")
    private String itemId;

    @ApiModelProperty("初步诊断ID")
    @NotBlank(message = "初步诊断ID不能为空")
    private String primaryId;

    @ApiModelProperty("流程ID")
    @NotBlank(message = "流程ID不能为空")
    private String processId;

}
