package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TalkResultResVO {

    /**
     * 后端返回给前端时使用,表示该是语音回复还是action动作,1语音回复,2体格检查 3辅助检查
     */
    @ApiModelProperty("后端返回给前端时使用,表示该是语音回复还是action动作,1语音回复,2体格检查 3辅助检查")
    private Integer type;

    @ApiModelProperty("表示体格检查工具或辅助检查项id")
    private String actionId;


    @ApiModelProperty("type='2' itemName:工具名,type='3' itemName：检查项目名")
    private String itemName;


    @ApiModelProperty("type='2' 工具图片")
    private String itemImage;

    @ApiModelProperty("type='2' 是否需要检查部位 0：否 1：是")
    private Integer requireLocation;



}
