package com.supervision.service;

import com.supervision.model.DiagnosisPrimary;
import com.supervision.model.Disease;
import com.supervision.vo.ask.DiagnosisPrimaryVO;
import com.supervision.vo.ask.ModifyPrimaryDiseaseInfoReqVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface AskPrimaryService {

    List<DiagnosisPrimaryVO> queryAskPrimaryList(String processId);

    List<Disease> queryPrimaryCanChooseList();

    void modifyPrimaryDiseaseInfo(ModifyPrimaryDiseaseInfoReqVO reqVO);

    void savePrimary(DiagnosisPrimary reqVO);

    void deletePrimary(String id);
}
