package com.supervision.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.supervision.domain.GlobalResult;

public interface RasaService {

    GlobalResult<String> generateRasaYml(String diseaseId);

    GlobalResult<String> trainRasa(String patientId) throws JsonProcessingException;

    GlobalResult<String> runRasa(String patientId) throws JsonProcessingException;
}
